/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/nh_changepaycomponents.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/nh_changepaycomponents.xml',
'<View deleteAllowed="true" title="{message.XXAS_CHNG_PAY_BY_COMPONENTS}">
  <CreateFields>
      <Poplist id="C_PROPOSAL_REASON" label="{message.XXAS_NH_PAY_COMPONENTS}" enabled="true" required="true" visible="true" listProvider="LOOKUP_TYPE:PROPOSAL_REASON"/>
      <Number id="C_CHANGE_AMOUNT" label="{message.XXAS_CHNG_PAY_NEW_AMOUNT}" enabled="true" required="true" visible="true" triggerName="MGR_NH_PAY_SAL_COMP_CHG" triggerMethod="POST"/>
  </CreateFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/nh_changepaycomponents.xml');
END;
/
COMMIT;
EXIT;
